Name:           isic
Version:        0.07
Release:        alt1_13
Summary:        IP Stack Integrity Checker

Group:          Networking/WWW
License:        BSD
Url:            http://isic.sourceforge.net
Source0:        http://dl.sourceforge.net/sourceforge/isic/%{name}-%{version}.tgz
Patch0:         isic-0.07-make.patch
Patch1:         isic-0.07-netinet.patch

BuildRequires: libnet2-devel >= 1.1.0

Requires: libnet >= 1.1.0
Source44: import.info

%description
ISIC is a suite of utilities to exercise the stability of
an IP Stack and its component stacks (TCP, UDP, ICMP et.
al.) It generates piles of pseudo random packets of the
target protocol. The packets be given tendancies to conform
to. Ie 50% of the packets generated can have IP Options.
25% of the packets can be IP fragments... But the
percentages are arbitrary and most of the packet fields
have a configurable tendancy.

The packets are then sent against the target machine to
either penetrate its firewall rules or find bugs in the
IP stack.

ISIC also contains a utility generate raw ether frames to
examine hardware implementations.

%prep
%setup -q
%patch0 -p1 -b .make
%patch1 -p1
chmod 644 wrapper.sh

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%{_bindir}/esic
%{_bindir}/icmpsic
%{_bindir}/isic
%{_bindir}/tcpsic
%{_bindir}/udpsic
%{_bindir}/icmpsic6
%{_bindir}/isic6
%{_bindir}/multisic
%{_bindir}/tcpsic6
%{_bindir}/udpsic6
%{_mandir}/man1/isic.*


%doc README ChangeLog INSTALL wrapper.sh

%changelog
* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1_13
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1_12
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1_11
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1_10
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1_9
- initial fc import

